#!/bin/sh
#
# $FreeBSD: ports/net/openldap22-server/files/slurpd.sh,v 1.7 2003/08/30 11:50:41 edwin Exp $
#

# PROVIDE: slurpd
# REQUIRE: slapd
# BEFORE:
# KEYWORD: FreeBSD shutdown

# Add the following line to /etc/rc.conf to enable slurpd:
#
#slurpd_enable="YES"
#
# See slurpd(8) for more flags
#

. /usr/local/etc/rc.subr

name=slurpd
rcvar=`set_rcvar`

command=/usr/local/libexec/slurpd
required_files=/usr/local/etc/openldap/slapd.conf

[ -z "$slurpd_enable" ] && slurpd_enable="NO"
[ -z "$slurpd_flags" ]  && slurpd_flags=

load_rc_config $name

if [ -n "$slurpd_args" ]; then
  warn "slurpd_args is deprecated, use slurpd_flags"
  slurpd_flags="$slurpd_args"
fi

run_rc_command "$1"
